Bug 9837 - NFS filesystems don't reflect recent changes
NFS filesystems don't reflect recent changes
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2000-02-28 13:14 EST by Scott Hankin
Modified: 2007-04-18 12:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-08 14:23:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Scott Hankin 2000-02-28 13:14:19 EST
In many instances in our code,  a file created via NFS on a local host
can't be seen after its creation.  Our product creates files over NFS, even
on the local host.  We are seeing a situation where we create a file or
directory, the creation returns success, but when the path is passed to
another process on the same machine, that process can't see the new
file/directory.  The file is there, as it is visible if not viewed over
NFS, but NFS claims it isn't there, for a substantial length of time (> 5

We have worked around this problem in some cases by creating a dummy file
in the directory in question, locking it (lockf), unlocking it, and
removing it.  In some of the problem areas, it is necessary to attempt to
access the path, component by component, from the leaf, until a directory
is found which is accessable, then create and destroy the locks all the way
down.  However, it is impractical to place this before every open, fopen
and opendir it our code.

Our product runs on many other Unix platforms, and no others exhibit this
Comment 1 Cristian Gafton 2000-08-08 22:34:00 EDT
assigned to johnsonm
Comment 2 Steve Dickson 2003-01-08 14:23:40 EST
I was not able to reproduce this in the latest release.

Note You need to log in before you can comment on or make changes to this bug.